summaryrefslogtreecommitdiff
path: root/etc.BSD/rc.in
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2008-01-11 11:25:40 +0000
committerRoy Marples <roy@marples.name>2008-01-11 11:25:40 +0000
commitcbc174bbbf0121d325b428c1b681ad0fa1970cc8 (patch)
treed361dab51776399d2550ddc5a467801283e4c79f /etc.BSD/rc.in
parent13c552c3ece84b0d4e3b8e24eaa6b7196019b957 (diff)
downloadopenrc-cbc174bbbf0121d325b428c1b681ad0fa1970cc8.tar.gz
openrc-cbc174bbbf0121d325b428c1b681ad0fa1970cc8.tar.bz2
openrc-cbc174bbbf0121d325b428c1b681ad0fa1970cc8.tar.xz
Use a specific default terminal for rc
Diffstat (limited to 'etc.BSD/rc.in')
-rw-r--r--etc.BSD/rc.in22
1 files changed, 22 insertions, 0 deletions
diff --git a/etc.BSD/rc.in b/etc.BSD/rc.in
new file mode 100644
index 0000000..935cf65
--- /dev/null
+++ b/etc.BSD/rc.in
@@ -0,0 +1,22 @@
+#!/bin/sh
+# Copyright 2007-2008 Roy Marples
+# All rights reserved
+
+# If $TERM is not set then assume default of cons25
+# This gives us a nice colour boot :)
+[ -z "$TERM" -o "$TERM" = "dumb" ] && export TERM="@TERM@"
+
+# Handle interrupts
+trap : SIGINT
+trap "echo 'Boot interrupted'; exit 1" SIGQUIT
+
+# BSD's init works somewhat differently to sysvinit.
+# This block should 'translate' from the way init calls it to the way it would
+# be called by sysvinit on linux.
+RUNLEVEL="1" /sbin/rc sysinit || exit 1
+RUNLEVEL="1" /sbin/rc boot || exit 1
+PREVLEVEL="1" /sbin/rc default
+
+# We don't actually care if rc default worked or not, we should exit 0
+# to allow logins
+exit 0